Bug 1406908 - Compute Placement API Upgrade Considerations
Summary: Compute Placement API Upgrade Considerations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: rc
: 11.0 (Ocata)
Assignee: Ollie Walsh
QA Contact: Prasanth Anbalagan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-21 19:38 UTC by Stephen Gordon
Modified: 2017-05-17 19:53 UTC (History)
10 users (show)

Fixed In Version: openstack-tripleo-heat-templates-6.0.0-0.20170218023452.edbaaa9.el7ost.noarch.rpm
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 19:53:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 405241 None None None 2017-02-23 15:02:16 UTC
OpenStack gerrit 406300 None None None 2016-12-22 03:38:41 UTC
OpenStack gerrit 406309 None None None 2016-12-22 03:38:57 UTC
OpenStack gerrit 406397 None None None 2016-12-22 03:39:11 UTC

Description Stephen Gordon 2016-12-21 19:38:53 UTC
Description of problem:

Nova introduced the placement API service in the 14.0.0 Newton release. This is a separate REST API stack and data model used to track resource provider inventories and usages, along with different classes of resources. For example, a resource provider can be a compute node, a shared storage pool, or an IP allocation pool. The placement service tracks the inventory and usage of each provider. For example, an instance created on a compute node may be a consumer of resources such as RAM and CPU from a compute node resource provider, DISK from an external shared storage pool resource provider and IP addresses from an external IP pool resource provider.

The types of resources consumed are tracked as classes. The service provides a set of standard resource classes but provides the ability to define custom resource classes as needed.

The placement-api service must be deployed at some point after you have upgraded to the 14.0.0 Newton release but before you can upgrade to the 15.0.0 Ocata release. This is so that the resource tracker in the nova-compute service can populate resource provider (compute node) inventory and allocation information which will be used by the nova-scheduler service in Ocata.

http://docs.openstack.org/developer/nova/placement.html

Comment 2 Emilien Macchi 2016-12-22 03:40:11 UTC
Since I've been doing most of the integration work in TripleO, would it make sense to assign the BZ to myself? (I've updated the BZ with the patches in progress).

Comment 3 Stephen Gordon 2016-12-22 14:04:49 UTC
(In reply to Emilien Macchi from comment #2)
> Since I've been doing most of the integration work in TripleO, would it make
> sense to assign the BZ to myself? (I've updated the BZ with the patches in
> progress).

For now, yes, question will be ensuring we get Sven or Ollie up to speed on what you have done and how and then ensure test from Compute DFG. I've marked this and the Cells V2 bug as 11.0 blockers and marked them on the DFG sheet as the highest priority items as it seems like we can't release without them...

Comment 4 Emilien Macchi 2016-12-22 14:30:23 UTC
Assigned to me now, feel free to take over the BZ when needed.

Comment 5 Eoghan Glynn 2017-01-09 21:06:40 UTC
The initial patch series containing the basic placement API service integration in TripleO is well-progressed by Emilien and close to landing.

The outstanding work relates to ensuring the placement API is deployed early enough in the upgrade workflow, so that it has a chance to populate inventories and allocations in advance of the first instance boot that may occur during the rolling upgrade.

Comment 6 Emilien Macchi 2017-01-31 20:47:51 UTC
I've posted all patches to deploy this service in TripleO. I'm moving this bug to owalsh for the upgrade part that I didn't take care of.

Comment 7 Stephen Gordon 2017-02-22 12:59:25 UTC
Can this be moved to POST or MODIFIED?

Comment 8 Ollie Walsh 2017-03-02 21:04:25 UTC
10.0 -> 11.0 upgrade was implemented in OpenStack gerrit 405241

Comment 9 Ollie Walsh 2017-03-02 21:28:03 UTC
Greenfield install enabled in multiple patches https://review.openstack.org/#/q/topic:tripleo/nova/placement

Comment 13 errata-xmlrpc 2017-05-17 19:53:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.